Subject: bug#8439: [PATCH] ffap.el -- detect paths with spaces (v4)

From: Jari Aalto <[email-masked]>
Date: Sun, 21 Oct 2012 11:07:53 +0300

2012-10-21 03:18 Stefan Monnier <[email-masked]>:
| >    - remove functions related to Cygwin and use
| >      cygwin-convert-path-from-windows
| 
| Again, I don't think ffap should do this.

Files under Cygwin Emacs are opened e.g. in $HOME
or //SHARE/ directories; those contain lines with windows style paths.

| If you want to use Windows file names in Cygwin Emacs, then make Cygwin
| Emacs understand those file names and not just in ffap.

I have no expertise on that area. I'm sure someone can continue to
generalize further.

Speaking from a user's perpective, it would be nice to have an improved
ffap in next release, as the common use is:

  * move point under file name
  * call ffap

   => it reads the file name, suitable for current environment (Cygwin).

Jari